package modele

import android.util.Log
import kotlinx.coroutines.GlobalScope
import kotlinx.coroutines.cancel
import kotlinx.coroutines.launch
import views.ViewsGame

class Game(private val width: Int,private val height: Int,private val viewGame:ViewsGame) {
    val dashBoard: DashBoard = DashBoard(width,height,viewGame)
    lateinit var currentShape: Shape
    var difficulty: Difficulty = Difficulty.EASY




    // The start game function

    fun startGame(){
        //this.setCurrentShape(TypeShape.SquareShape)
        currentShape = Shape(TypeShape(EnumTypeShape.SShape),Position(1,1))
        dashBoard.addShape(currentShape)


        dashBoard.gridOfGame[1][0] = 2
        dashBoard.gridOfGame[1][6] = 3

        println("RUN !!")
        dashBoard.updateViewGame()

        GlobalScope.launch {
            while (true){
                dashBoard.fallingShape(currentShape)
            }
        }
    }
}